use Win32::Sound;

$file = shift @ARGV || die "Please specify a log file to watch.\n";
open(LOGFILE,$file) || die "Can't open $file.";

open (WATCH, "watchlist.txt") || die "Can't open the watchlist.txt file\n";

while (defined($line = <WATCH>))
{
	chomp $line;
	($string, $wave) = split "\t",$line;
	$strings{$string} = $wave;
}
close WATCH;

for (;;) {
    for ($curpos = tell(LOGFILE); <LOGFILE>; $curpos = tell(LOGFILE)) 
	{
		$printit = 0;
		foreach $search (keys %strings)
		{
			if ($search =~ /^\/(.*)\/$/)
			{
				$search2 = $1;
				if (/$search2/i) 
				{
					Win32::Sound::Play($strings{$search}); 
					$printit = 1;
				}			
			}
			else
			{
				$search2 = $search;
				$search2 =~ s/([\\\.\^\$\*\+\?\{\}\[\]\(\)\|])/\\\1/g;
				if (/$search2/i) 
				{
					Win32::Sound::Play($strings{$search});
					$printit = 1;
				}							
			}
		}
		print if $printit;
    	}
    sleep 3;
    seek(LOGFILE, $curpos, 0);  # seek to where we had been
}
